POST
Create a read replica of a PostgreSQL add-on

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: 'Bearer {token}'

Headers

X-Workspace-Id
string

Workspace ID (uses default workspace if not provided)

Path Parameters

uuid
string
required

Application UUID

id
string
required

Add-on ID or UUID

Body

application/json

Create a read replica of a PostgreSQL add-on

cpu_size
number<float>

CPU allocation for the replica (defaults to primary's value)

ram_size
integer<int32>

RAM allocation in megabytes (defaults to primary's value)

Response

Create a read replica of a PostgreSQL add-on

Api_V1_Entities_Addon model

uuid
string
required

Add-on UUID

name
string
required

Add-on name

type
string
required

Add-on type (postgres, mysql, valkey, storage, cronjob)

label
string
required

Display name

state
string
required

Current state. While provisioning: pending, processing, creating, stopped. Once running, the live Kubernetes status: healthy (postgres/mysql/valkey), bound (storage), or running when the status is unavailable. Unhealthy: degraded, degradated, failing, lost, crashloopbackoff, failed

quota
object
required

Resource quota configuration

settings
object
required

Add-on specific settings

var
object
required

Connection environment variables

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

connection_details
object
required

Connection details for the addon

Example: